[Pkg-voip-commits] r2744 - in openh323: . trunk/debian trunk/debian/backports trunk/debian/patches

Kilian Krause kilian at alioth.debian.org
Sun Nov 26 13:09:56 CET 2006


Author: kilian
Date: 2006-11-26 13:09:56 +0100 (Sun, 26 Nov 2006)
New Revision: 2744

Added:
   openh323/trunk/debian/backports/
   openh323/trunk/debian/backports/dapper
   openh323/trunk/debian/backports/sarge
   openh323/trunk/debian/patches/mips_xgot_hack.dpatch
Removed:
   openh323/branches/
Modified:
   openh323/trunk/debian/patches/00list
Log:
merge sarge backport into trunk and add hooks for sarge and dapper


Added: openh323/trunk/debian/backports/dapper
===================================================================
--- openh323/trunk/debian/backports/dapper	2006-11-26 11:57:59 UTC (rev 2743)
+++ openh323/trunk/debian/backports/dapper	2006-11-26 12:09:56 UTC (rev 2744)
@@ -0,0 +1,11 @@
+#!/bin/bash
+#
+# Hook for automatic backports at buildserver.net
+#
+# Target dist: Ubuntu Dapper
+
+# compile with old xgot hack
+sed -i -e 's#^\(Build-Depends:.*\)[\ ,]\+ binutils[^,$]\+\(.*\)$#\1\2#' debian/control
+echo mips_xgot_hack >>debian/patches/00list
+
+exit 0


Property changes on: openh323/trunk/debian/backports/dapper
___________________________________________________________________
Name: svn:executable
   + *

Added: openh323/trunk/debian/backports/sarge
===================================================================
--- openh323/trunk/debian/backports/sarge	2006-11-26 11:57:59 UTC (rev 2743)
+++ openh323/trunk/debian/backports/sarge	2006-11-26 12:09:56 UTC (rev 2744)
@@ -0,0 +1,14 @@
+#!/bin/bash
+#
+# Hook for automatic backports at buildserver.net
+#
+# Target dist: Debian Sarge
+
+# Build with internal libspeex
+sed -i -e 's#^\(Build-Depends:.*\)[\ ,]\+ libspeex-dev[^,$]\+\(.*\)$#\1\2#' debian/control
+
+# compile with old xgot hack
+sed -i -e 's#^\(Build-Depends:.*\)[\ ,]\+ binutils[^,$]\+\(.*\)$#\1\2#' debian/control
+echo mips_xgot_hack >>debian/patches/00list
+
+exit 0


Property changes on: openh323/trunk/debian/backports/sarge
___________________________________________________________________
Name: svn:executable
   + *

Modified: openh323/trunk/debian/patches/00list
===================================================================
--- openh323/trunk/debian/patches/00list	2006-11-26 11:57:59 UTC (rev 2743)
+++ openh323/trunk/debian/patches/00list	2006-11-26 12:09:56 UTC (rev 2744)
@@ -2,3 +2,4 @@
 03_Makefile.in
 10_openh323u.mak
 ixjuser.h
+mips_xgot_hack

Added: openh323/trunk/debian/patches/mips_xgot_hack.dpatch
===================================================================
--- openh323/trunk/debian/patches/mips_xgot_hack.dpatch	2006-11-26 11:57:59 UTC (rev 2743)
+++ openh323/trunk/debian/patches/mips_xgot_hack.dpatch	2006-11-26 12:09:56 UTC (rev 2744)
@@ -0,0 +1,40 @@
+#! /bin/sh -e
+## mips_xgot_hack.dpatch by Kilian Krause <kilian at debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Use -Wa,xgot with old binutils on mips
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+diff -urNad openh323-1.17.3~/openh323u.mak.in openh323-1.17.3/openh323u.mak.in
+--- openh323-1.17.3~/openh323u.mak.in	2006-01-29 17:51:48.000000000 +0000
++++ openh323-1.17.3/openh323u.mak.in	2006-01-29 17:52:16.000000000 +0000
+@@ -194,6 +194,10 @@
+ 
+ LIBDIRS += $(OPENH323DIR)
+ 
++ifneq (,$(findstring mips, $(MACHTYPE)))
++STDCCFLAGS += -Wa,-xgot
++endif
++
+ #OH323_SUPPRESS_H235	= 1
+ 
+ OH323_SRCDIR = $(OPENH323DIR)/src
+


Property changes on: openh323/trunk/debian/patches/mips_xgot_hack.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the Pkg-voip-commits mailing list